Name:           twclock
Version:        2.8
Release:        1%{?dist}
Summary:        Clock for hamradio operators

Group:          Applications/Communications
License:        GPLv2+
URL:            http://wa0eir.home.mchsi.com/
Source0:        http://wa0eir.home.mchsi.com/src/%{name}-%{version}.src.tar.gz 
#desktop file
Source1:        twclock-desktop.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lesstif-devel, libXpm-devel
BuildRequires:  desktop-file-utils

%description
TWclock will prove to be very helpful for ham operators. Besides
displaying local time and GMT, it can display the current time in
hundreds of major cities around the world. It also has an alarm to
tell you when it is time for a station ID.

The ID Alarm can be set to a desired delay of minutes and seconds.
The alarm will notify you it is time to ID in any or all of the
following ways:

      Blink the alarm button
      Beep the PC speaker
      Send your call in CW through your sound card


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install icon
install -D -m 0644 src/icons/twclock.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/twclock.xpm
#install desktop file
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/twclock.desktop

#fix permissions
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/Twclock

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS TODO
%{_bindir}/*
%{_datadir}/X11/app-defaults/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon Jan 07 2008 Robert 'Bob' Jensen - 2.8-1
- Version Update
* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 2.7-1
- Initial build
